Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004420OCamlCamlp4public2007-10-13 14:492010-04-29 14:31
Reporterjm 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.11+dev 
Summary0004420: Camlp4 removes brackets around local objects.
Description% cat test.ml4
let _ = ignore (object end)
% camlp4of -printer o -impl test.ml4 > test.ml
% ocamlc -c -impl test.ml
File "test.ml", line 1, characters 7-13:
Syntax error
2% cat test.ml
ignore object end
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004661)
ertai (developer)
2008-10-04 19:10

Fixed in CVS, Thanks!

- Issue History
Date Modified Username Field Change
2007-10-13 14:49 jm New Issue
2007-11-10 14:10 xleroy Status new => assigned
2007-11-10 14:10 xleroy Assigned To => xleroy
2007-11-10 14:10 xleroy Assigned To xleroy => ertai
2008-10-04 19:10 ertai Note Added: 0004661
2008-10-04 19:10 ertai Status assigned => resolved
2008-10-04 19:10 ertai Resolution open => fixed
2008-10-04 19:10 ertai Fixed in Version => 3.11+dev
2010-04-29 14:31 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker